require("config")
require("utils")

data:extend(
{
	---------------------------------------------------------------------
	{
		type = "technology",
		name = "toolbelt-2",
		icon = "__base__/graphics/technology/toolbelt.png",
		prerequisites = {"toolbelt"},
		effects =
		{
			{
				type = "num-quick-bars",
				modifier = 1
			}
		},
		unit =
		{
			count = 60,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1}
			},
			time = 30
		},
		order = "c-k-m"
	},
	
	{
		type = "technology",
		name = "toolbelt-3",
		icon = "__base__/graphics/technology/toolbelt.png",
		prerequisites = {"toolbelt-2"},
		effects =
		{
			{
				type = "num-quick-bars",
				modifier = 1
			}
		},
		unit =
		{
			count = 70,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1}
			},
			time = 30
		},
		order = "c-k-m"
	},

	---------------------------------------------------------------------
	{
		type = "technology",
		name = "character-logistic-slots-6",
		icon = "__base__/graphics/technology/character-logistic-slots.png",
		effects =
		{
			{
				type = "character-logistic-slots",
				modifier = 5
			}
		},
		prerequisites = {"character-logistic-slots-5"},
		unit =
		{
			count = 150,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1},
				{"alien-science-pack", 1}
			},
			time = 30
		},
		upgrade = true,
		order = "c-k-e-b"
	},
	
	{
		type = "technology",
		name = "character-logistic-slots-7",
		icon = "__base__/graphics/technology/character-logistic-slots.png",
		effects =
		{
			{
				type = "character-logistic-slots",
				modifier = 10
			}
		},
		prerequisites = {"character-logistic-slots-6"},
		unit =
		{
			count = 150,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1},
				{"alien-science-pack", 1}
			},
			time = 30
		},
		upgrade = true,
		order = "c-k-e-b"
	},

	{
		type = "technology",
		name = "character-logistic-slots-8",
		icon = "__base__/graphics/technology/character-logistic-slots.png",
		effects =
		{
			{
				type = "character-logistic-slots",
				modifier = 10
			}
		},
		prerequisites = {"character-logistic-slots-7"},
		unit =
		{
			count = 150,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1},
				{"alien-science-pack", 1}
			},
			time = 30
		},
		upgrade = true,
		order = "c-k-e-b"
	},

	{
		type = "technology",
		name = "character-logistic-slots-9",
		icon = "__base__/graphics/technology/character-logistic-slots.png",
		effects =
		{
			{
				type = "character-logistic-slots",
				modifier = 10
			}
		},
		prerequisites = {"character-logistic-slots-8"},
		unit =
		{
			count = 150,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1},
				{"alien-science-pack", 1}
			},
			time = 30
		},
		upgrade = true,
		order = "c-k-e-b"
	},


	---------------------------------------------------------------------
	{
		type = "technology",
		name = "character-logistic-trash-slots-3",
		icon = "__base__/graphics/technology/character-logistic-trash-slots.png",
		effects =
		{
			{
				type = "character-logistic-trash-slots",
				modifier = 5
			}
		},
		prerequisites = {"character-logistic-trash-slots-2"},
		unit =
		{
			count = 100,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1}
			},
			time = 30
		},
		upgrade = true,
		order = "c-k-f-b"
	},
	
	{
		type = "technology",
		name = "character-logistic-trash-slots-4",
		icon = "__base__/graphics/technology/character-logistic-trash-slots.png",
		effects =
		{
			{
				type = "character-logistic-trash-slots",
				modifier = 5
			}
		},
		prerequisites = {"character-logistic-trash-slots-3"},
		unit =
		{
			count = 100,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1}
			},
			time = 30
		},
		upgrade = true,
		order = "c-k-f-b"
	},

	---------------------------------------------------------------------
	{
		type = "technology",
		name = "logistic-robot-storage-4",
		icon = "__base__/graphics/technology/logistic-robot-storage.png",
		effects = {
			{
				type = "logistic-robot-storage",
				modifier = "1"
			}
		},
		prerequisites = { "logistic-robot-storage-3" },
		unit = {
			count = 450,
			ingredients = {
				{"alien-science-pack", 1},
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1}
			},
			time = 60
		},
		upgrade = true,
		order = "c-k-g-c"
	},

	{
		type = "technology",
		name = "logistic-robot-storage-5",
		icon = "__base__/graphics/technology/logistic-robot-storage.png",
		effects = {
			{
				type = "logistic-robot-storage",
				modifier = "1"
			}
		},
		prerequisites = { "logistic-robot-storage-4" },
		unit = {
			count = 450,
			ingredients = {
				{"alien-science-pack", 1},
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1}
			},
			time = 60
		},
		upgrade = true,
		order = "c-k-g-c"
	},

	---------------------------------------------------------------------	
	{
		type = "technology",
		name = "logistic-robot-speed-6",
		icon = "__base__/graphics/technology/logistic-robot-speed.png",
		effects = {
			{
				type = "logistic-robot-speed",
				modifier = "0.8"
			}
		},
		prerequisites = { "logistic-robot-speed-5" },
		unit = {
			count = 500,
			ingredients = {
				{"alien-science-pack", 1},
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1}
			},
			time = 60
		},
		upgrade = true,
		order = "c-k-f-e"
	},

}
)