require("defines")
require("utils")
require("config")

--------------------------------------------------------------------------------------
function on_init()
	debug_level = -1
end

script.on_init( on_init )
script.on_load( on_init )

--------------------------------------------------------------------------------------
script.on_event(defines.events.on_tick, 
	function(event)
		if is_first_load == nil and debug_level >= 0 then 
			is_first_load = true

			if debug_level >= 0 then
				for _,force in pairs(game.forces) do
					force.reset_recipes()
					force.reset_technologies()
				end
			end
		end
		
		if global.ticks == nil or global.ticks == 0 then
			global.ticks = 300
			
			for _, player in pairs(game.players) do
				ent = player.vehicle
				
				if ent and ent.name == "supertank" then
					refuel_and_ammo( ent )
				end
			end
		else
			global.ticks = global.ticks - 1
		end
	end
)

--------------------------------------------------------------------------------------
script.on_event(defines.events.on_built_entity, 
	function( event )
		ent = event.created_entity
		
		debug( "built " .. ent.name )
		
		if ent.name == "supertank" then
			debug( "built tank" )
			refuel_and_ammo( ent )
		end
	end
)

--------------------------------------------------------------------------------------
script.on_event(defines.events.on_preplayer_mined_item, 
	function( event )
		ent = event.entity
		
		debug( "mine " .. ent.name )
		
		if ent.name == "supertank" then
			debug( "mine tank" )
			if supertank_infinite_fuel then
				ent.remove_item( {name="coal", count=50} )
			end
			if supertank_infinite_ammo then
				ent.remove_item( {name="super-explosive-cannon-shell", count=50} )
				ent.remove_item( {name="super-piercing-bullet-magazine", count=50} )
			end
		end
	end
)

--------------------------------------------------------------------------------------
function refuel_and_ammo( v )
	if supertank_infinite_fuel then
		n = v.get_item_count("coal")
		if n < 50 then
			v.insert({name="coal", count=(50-n)  })
		end
	end
	if supertank_infinite_ammo then
		n = v.get_item_count("super-explosive-cannon-shell")
		if n < 50 then
			v.insert({name="super-explosive-cannon-shell", count=(50-n)  })
		end
		n = v.get_item_count("super-piercing-bullet-magazine")
		if n < 50 then
			v.insert({name="super-piercing-bullet-magazine", count=(50-n)  })
		end
	end
end


